<template>
  <div>
    <h3 class="grey--text darken-2--text">Krok {{ getCurrentStep }} z {{ getTotalSteps }}</h3>

    <component :is="formComponent"></component>
  </div>
</template>

<script>
import { mapGetters } from 'vuex';
import EmployeeStep from '../FormSteps/EmployeeStep';
import EmployerStep from '../FormSteps/EmployerStep';
import OthersStep from '../FormSteps/OthersStep';
import FinalStep from '../FormSteps/FinalStep';

export default {
  inject: ['parentValidator'],
  computed: {
    // Get form component name corresponding to current step
    formComponent() {
      let formComponent;

      switch (this.getCurrentStep) {
        case 1:
          formComponent = 'EmployeeStep';
          break;

        case 2:
          formComponent = 'EmployerStep';
          break;

        case 3:
          formComponent = 'OthersStep';
          break;

        case 4:
          formComponent = 'FinalStep';
          break;

        default:
          formComponent = 'EmployeeStep';
      }

      return formComponent;
    },
    ...mapGetters('form', ['getCurrentStep', 'getTotalSteps']),
  },
  components: {
    EmployeeStep,
    EmployerStep,
    OthersStep,
    FinalStep,
  },
  created() {
    this.$validator = this.parentValidator;
  },
};
</script>
